/**
 * Main Application script
 */
import React, { Fragment, FunctionComponent, useEffect, useRef } from 'react';

import { BryntumDemoHeader, BryntumThemeCombo, BryntumGantt, BryntumGanttProps } from '@bryntum/gantt-react';
import { ganttConfig } from './AppConfig';
import './App.scss';
import { Gantt } from '@bryntum/gantt';

const App: FunctionComponent = () => {
    const ganttRef = useRef(null);
    useEffect(() => {
        // @ts-ignore
        ganttRef.current.instance.tbar.add([{
            type: 'button',
            ref: 'filterAllButton',
            icon: 'b-gantt-filter',
            tooltip: 'Filter',
            menu: {
            pickergroup: {
                // @ts-ignore
                grid: ganttRef.current.instance,
                type: 'gridfieldfilterpickergroup',
                fields: [
                { name: 'name', type: 'string', text: 'Name' },
                { name: 'owner', type: 'string', text: 'Owner' },
                { name: 'function', type: 'string', text: 'Function' },
                ],
                filters: [
                {
                    property: 'name',
                    operator: 'includes',
                    value: '',
                },
                ],            
            },
            },
        }]);
    }, [])
    return (
        <Fragment>
            {/* BryntumDemoHeader component is used for Bryntum example styling only and can be removed */}
            <BryntumDemoHeader
                children = {<BryntumThemeCombo />}
            />
            <BryntumGantt ref={ganttRef} {...ganttConfig} />
        </Fragment>
    );
};

export default App;
